Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eteks.forum
Class Utilisateur

    java.lang.Object
      com.eteks.forum.Utilisateur

Direct Known Subclasses:
  UtilisateurForum

    public class Utilisateur

extends java.lang.Object

Utilisateur du forum avec son pseudonyme, son mot de passe et les droits sur le forum qui lui sont autorises.

Constructor Summary
`Utilisateur(java.lang.String pseudonyme, java.lang.String motDePasse, Autorisation autorisation)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`Autorisation` | `getAutorisation()`
`java.lang.String` | `getMotDePasse()`
`java.lang.String` | `getPseudonyme()`
`int` | `hashCode()`
`boolean` | `isModerateur()`
`void` | `setAutorisation(Autorisation autorisation)`
`void` | `setMotDePasse(java.lang.String motDePasse)`
`void` | `setPseudonyme(java.lang.String pseudonyme)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Utilisateur

    public Utilisateur(java.lang.String pseudonyme,
                       java.lang.String motDePasse,
                       Autorisation autorisation)

Method Detail

### getPseudonyme

    public java.lang.String getPseudonyme()

### setPseudonyme

    public void setPseudonyme(java.lang.String pseudonyme)

### getMotDePasse

    public java.lang.String getMotDePasse()

### setMotDePasse

    public void setMotDePasse(java.lang.String motDePasse)

### getAutorisation

    public Autorisation getAutorisation()

### isModerateur

    public boolean isModerateur()

### setAutorisation

    public void setAutorisation(Autorisation autorisation)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD